<?php

namespace App;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Commission extends Eloquent {

	protected $table = 'commissions';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('category_id', 'item_id', 'value', 'type', 'user_id');

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

	public function category()
	{
		return $this->belongsTo('Category', 'category_id');
	}

}