<?php

namespace App;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class FlightsClasses extends Eloquent {

	protected $table = 'flights_classes';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('flight_id', 'class_id');

	public function flight()
	{
		return $this->belongsTo('Flight', 'flight_id');
	}

	public function class()
	{
		return $this->belongsTo('ClassType', 'class_id');
	}

}