<?php

namespace App;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class TravelPrice extends Eloquent {

	protected $table = 'travel_prices';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('age_id', 'room_id', 'price', 'travel_id');

	public function travel()
	{
		return $this->belongsTo('Travel', 'travel_id');
	}

	public function age()
	{
		return $this->belongsTo('Age', 'age_id');
	}

	public function room()
	{
		return $this->belongsTo('Room', 'room_id');
	}

}